connection_driver.hpp File Reference

Unsettled API - An AMQP driver for a single connection. More...

`#include "../connection_options.hpp"`
`#include "../error_condition.hpp"`
`#include "../fwd.hpp"`
`#include "../internal/config.hpp"`
`#include "../types_fwd.hpp"`
`#include <proton/connection_driver.h>`
`#include <string>`
Include dependency graph for connection_driver.hpp:

Go to the source code of this file.

## Classes

struct | mutable_buffer
| Unsettled API - A pointer to a mutable memory region with a size. More...
struct | const_buffer
| Unsettled API - A pointer to an immutable memory region with a size. More...
class | connection_driver
| Unsettled API - An AMQP driver for a single connection. More...

## Namespaces

| proton
| The main Proton namespace.
| proton::io
| Unsettled API - Interfaces for IO integration.

## Detailed Description

Unsettled API - An AMQP driver for a single connection.